%define name elmo
%define version 1.1.0
%define release 1.norlug
%define url http://elmo.sourceforge.net/

Summary: Console-based mail client
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://umn.dl.sourceforge.net/sourceforge/elmo/%{name}-%{version}.tar.gz
Source1: elmoconf.pl.tar.bz2
URL: %{url}
License: GPL
Group: Networking/Other
BuildRequires: ncurses-devel
Requires: ncurses
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Elmo is a feature-rich console mail client for power users.
It integrates functionality commonly realised by separate pieces
of software in other mailers and competes with Mutt.

%prep
%setup -q -a1

%build
#export CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
%configure
make

%install
rm -rf %buildroot
mkdir -p %buildroot/%{_bindir}
#mkdir -p %buildroot/%{_datadir}
mkdir -p %buildroot/%{_mandir}/man1
#mkdir -p %buildroot/%{_infodir}
install -m755 src/elmo %buildroot%{_bindir}
install -m755 elmoconf.pl %buildroot%{_bindir}
#install -m644 doc/elmo.info %buildroot/%{_infodir}
install -m644 doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
#make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*/*
#%{_infodir}/*
%doc [A-Z][A-Z]*

%changelog
* Sat Mar 20 2004 Chip Cuccio <chipster@norlug.org> 1.1.0-1
- update to 1.1.0

* Fri Jan 9 2004 Chip Cuccio <chipster@norlug.org> 0.8.3-3
- initial build for rh-7.3
